mp3splt-gtk

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions
split_files_window.c File Reference
`#include "split_files_window.h"`

Go to the source code of this file.

## Enumerations
enum | { COL_NAME, COL_FILENAME, SPLIT_COLUMNS }

## Functions
void | add_split_row (const gchar *name, ui_state *ui)
GtkWidget * | create_split_files_frame (ui_state *ui)
gchar * | get_filename_from_split_files (gint number, gui_state *gui)
const gchar * | get_real_name_from_filename (const gchar *filename)
void | remove_all_split_rows (ui_state *ui)
void | split_tree_row_activated (GtkTreeView *split_tree, GtkTreePath *arg1, GtkTreeViewColumn *arg2, ui_state *ui)

## Detailed Description

The split tab

file that handles the split files tab from the main window

Definition in file split_files_window.c.

## Enumeration Type Documentation

anonymous enum

split files enumeration

Definition at line 43 of file split_files_window.c.

## Function Documentation

void add_split_row | ( | const gchar * | name,
|  | ui_state * | ui
| ) |  |

add a row to the table

Definition at line 104 of file split_files_window.c.

References get_real_name_from_filename().

GtkWidget* create_split_files_frame | ( | ui_state * | ui | ) |

creates the split files tab

Definition at line 298 of file split_files_window.c.

References split_tree_row_activated().

gchar* get_filename_from_split_files | ( | gint | number,
|  | gui_state * | gui
| ) |  |

return the n_th filename from the split files

Definition at line 116 of file split_files_window.c.

const gchar* get_real_name_from_filename | ( | const gchar * | filename | ) |

finding the real name of the file, without the path

Definition at line 92 of file split_files_window.c.

Referenced by add_playlist_file(), add_split_row(), and check_update_down_progress_bar().

void remove_all_split_rows | ( | ui_state * | ui | ) |

removes all rows from the split files table

Definition at line 80 of file split_files_window.c.

void split_tree_row_activated | ( | GtkTreeView * | split_tree,
|  | GtkTreePath * | arg1,
|  | GtkTreeViewColumn * | arg2,
|  | ui_state * | ui
| ) |  |

Issued when a row is clicked on.

Definition at line 254 of file split_files_window.c.

References change_current_filename(), connect_button_event(), and connect_to_player_with_song().

Referenced by create_player_playlist_frame(), and create_split_files_frame().